Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.convert
Class ElementConverter

    java.lang.Object
      net.sf.jasperreports.engine.convert.ElementConverter

Direct Known Subclasses:
  ChartConverter, ComponentElementConverter, ElementIconConverter, EllipseConverter, FrameConverter, ImageConverter, LineConverter, RectangleConverter, TextElementConverter

    public abstract class ElementConverter

extends java.lang.Object

Version:
  $Id: ElementConverter.java 3504 2010-03-04 12:41:19Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`ElementConverter()`

Method Summary
`abstract JRPrintElement` | `convert(ReportConverter reportConverter, JRElement element)`
`protected void` | `copyElement(ReportConverter reportConverter, JRElement element, JRPrintElement printElement)`
`protected void` | `copyGraphicElement(ReportConverter reportConverter, JRGraphicElement element, JRBasePrintGraphicElement printElement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementConverter

    public ElementConverter()

Method Detail

### convert

    public abstract JRPrintElement convert(ReportConverter reportConverter,
                                           JRElement element)

### copyElement

    protected void copyElement(ReportConverter reportConverter,
                               JRElement element,
                               JRPrintElement printElement)

### copyGraphicElement

    protected void copyGraphicElement(ReportConverter reportConverter,
                                      JRGraphicElement element,
                                      JRBasePrintGraphicElement printElement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com